import * as i0 from '@angular/core';
import { Directive, NgModule } from '@angular/core';
import { registerElement } from '@nativescript/angular';
import { BottomNavigation, TabStrip, TabStripItem, TabContentItem } from '@nativescript-community/ui-material-bottom-navigation';

class MaterialBottomNavigationDirective {
    static ɵfac = function MaterialBottomNavigationDirective_Factory(t) { return new (t || MaterialBottomNavigationDirective)(); };
    static ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: MaterialBottomNavigationDirective, selectors: [["MDBottomNavigation"]] });
}
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MaterialBottomNavigationDirective, [{
        type: Directive,
        args: [{ selector: 'MDBottomNavigation' }]
    }], null, null); })();
class NativeScriptMaterialBottomNavigationModule {
    static ɵfac = function NativeScriptMaterialBottomNavigationModule_Factory(t) { return new (t || NativeScriptMaterialBottomNavigationModule)(); };
    static ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: NativeScriptMaterialBottomNavigationModule });
    static ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({});
}
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NativeScriptMaterialBottomNavigationModule, [{
        type: NgModule,
        args: [{
                declarations: [MaterialBottomNavigationDirective],
                exports: [MaterialBottomNavigationDirective]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(NativeScriptMaterialBottomNavigationModule, { declarations: [MaterialBottomNavigationDirective], exports: [MaterialBottomNavigationDirective] }); })();
registerElement('MDBottomNavigation', () => BottomNavigation);
registerElement('MDTabStrip', () => TabStrip);
registerElement('MDTabStripItem', () => TabStripItem);
registerElement('MDTabContentItem', () => TabContentItem);

/**
 * Generated bundle index. Do not edit.
 */

export { MaterialBottomNavigationDirective, NativeScriptMaterialBottomNavigationModule };
//# sourceMappingURL=nativescript-community-ui-material-bottom-navigation-angular.mjs.map
