import { NativeScriptProps } from 'react-nativescript';
import { BottomNavigation, SelectedIndexChangedEventData, TabContentItem, TabStrip } from '../';
import { TabNavigationBaseAttributes } from '@nativescript-community/ui-material-core-tabs/react';
export type BottomNavigationAttributes = TabNavigationBaseAttributes & {
    android?: any;
    ios?: any;
    items?: TabContentItem[];
    onSelectedIndexChanged?: (args: SelectedIndexChangedEventData) => void;
    selectedIndex?: number;
    tabStrip?: TabStrip;
};
declare global {
    module JSX {
        interface IntrinsicElements {
            bottomNavigation: NativeScriptProps<BottomNavigationAttributes, BottomNavigation>;
        }
        interface ElementChildrenAttribute {
            children: {};
        }
    }
}
interface RegisterBottomNavigationOptions {
    enableDebugLogging?: boolean;
}
export declare function registerBottomNavigation(opts?: RegisterBottomNavigationOptions): void;
export {};
